List Subscribed Triggers
curl --request GET \
--url https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"triggers": {
"salesforce": [
{
"id": "<uuid>",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": {
"recordType": "Opportunity"
},
"status": "ACTIVE",
"dateCreated": "2025-05-31T00:00:00Z",
"dateLastReceivedEvent": "2025-05-31T00:00:00Z",
"credentialId": "<uuid>",
"webhookOverride": {
"url": "https://override.com"
}
},
{
"id": "<uuid>",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": {
"recordType": "Opportunity"
},
"status": "ERRORED",
"error": "Failed to check for new records after repeated failures. Last error: Request failed with 500 { ... error info ... }",
"dateCreated": "2025-05-31T00:00:00Z",
"dateLastReceivedEvent": "2025-05-31T00:00:00Z",
"credentialId": "<uuid>"
}
]
}
}{
"message": "<string>",
"code": "<string>",
"status": 123
}Triggers API
List Subscribed Triggers
List all triggers that a user is currently subscribed to.
GET
/
projects
/
{project_id}
/
trigger-subscriptions
List Subscribed Triggers
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Headers
Specify a credential ID when multiple accounts are connected for the same integration
Path Parameters
Your Paragon Project ID
Query Parameters
Filter by specific integrations that the user has connected. Comma-separated list.
Example:
"salesforce,hubspot"
Filter subscriptions to only active or errored (default behavior is to include all)
Available options:
ACTIVE, ERRORED Filter subscriptions to a specific type of Trigger
Example:
"SALESFORCE_TRIGGER_RECORD_CREATED"
Response
Success
A map of integrations with their subscribed triggers
Show child attributes
Show child attributes
Was this page helpful?
⌘I